<?php

class Waindigo_InstallUpgrade_CronEntry_UpdateCheck
{

    public static function checkForUpdates()
    {
        /* @var $addOnModel XenForo_Model_AddOn */
        $addOnModel = XenForo_Model::create('XenForo_Model_AddOn');

        $addOns = $addOnModel->getAllAddOns();

        /* @var $installUpgradeModel Waindigo_InstallUpgrade_Model_InstallUpgrade */
        $installUpgradeModel = XenForo_Model::create('Waindigo_InstallUpgrade_Model_InstallUpgrade');

        $installUpgradeModel->checkForAddOnUpdates($addOns);
    }
}